<template>
    <nav class="navbar navbar-expand navbar-dark bg-dark fixed-top">
      <div class="container">
        <!-- logo with a link to homepage/login -->
        <router-link to="/" class="navbar-brand">
          <img class="img" alt="easyinventory logo" src="../assets/logo.png">
        </router-link>
        <div class="collapse navbar-collapse">
          <!-- condition for logged out navigation bar -->
          <ul class="navbar-nav ml-auto" v-if="loggedIn == false">
            <li class="nav-item">
              <router-link to="/" class="nav-link" style="color: white;">Login</router-link>
            </li>
            <li class="nav-item">
              <router-link to="/register" class="nav-link" style="color: white;">Sign up</router-link>
            </li>
          </ul>
          <!-- condition for logged in navigation bar -->
          <ul class="navbar-nav ml-auto" v-if="loggedIn == true">
            <li class="nav-item">
              <router-link :to="profileRoute" class="nav-link" style="color: white;">Profile</router-link>
            </li>
            <li class="nav-item">
              <a href="javascript:void(0)" @click="handleClick" class="nav-link" style="color: red;">Logout</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
</template>

<script>
export default {
  name: 'Nav',
  props: ['loggedIn', 'profileRoute'],
  // method in charge of logging user out by removing auth token
  methods: {
    handleClick () {
      localStorage.removeItem('token')
      this.$router.push('/')
    }
  }
}
</script>

<style scoped>
  .img {
    max-height: 70px;
    width: auto;
  }
</style>
